IMAGSIZE(1)

NAME
imagsize - determine the image size of BMP, GIF, JPEG, PBM, PGM, PPM, PNG, TIFF, XBM, and XPM files

SYNOPSIS
imagsize [-h(elp)] [-f file_list] [-n(ormal_format)] [-p(ipe)] [-x(window_format)] [-v(erbose)] [-w(eb_format)] file...

DESCRIPTION
imagsize determines the dimensions of BMP, GIF, JPEG, PBM, PGM, PPM, PNG, TIFF, WEBP, XBM, and XPM files. It also determines a few other numbers (bit depth, quality estimates, etc.) for a subset of the file formats. It's a minimal program for situations where you don't want to install (or use) a large image manipulation package such as ImageMagick.

OPTIONS

-h  Print help and quit.

-f file_list
    Read the names of files to be processed from the specified file.

-n  Print output in normal format. This is the default.

-p  Read the names of files to be processed from stdin.

-w  Print output in a format suitable for including in an HTML-based Web page.

-v  Verbose output. Print results for non-image files, which are normally skipped entirely.

-x  Print outout in a format suitable for including in command lines of X-Window program commands

NOTES
The -f and -p options can be used simultaneously with filenames specified on the command line.

HISTORY
The imagsize program is heavily derived from Jef Poskanzer's excellent image_size program. The JPEG quality estimates (derived from Allen Hessenflow's jpegdump program) and various output format options were added by Brian Lindholm.

SEE ALSO
identify(1)

COPYRIGHT
Original image_size program copyright (C) 1997,1998 by Jef Poskanzer. All rights reserved except as specified below. Derived imagsize program copyright (C) 2004-2026 by Brian Lindholm. All rights reserved except as specified below. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The JPEG quality estimation algorithm used in this program comes from the jpegdump program, which is Copyright (C)1992 Handmade Software, Inc. by Allan N. Hessenflow. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.